function [y, T] = PAS(s, h, L, SNR)


%% Toeplitz 

T = toeplitz( [s(1);zeros(length(h)-1,1)],[s;zeros(L-length(s),1)] );

%% Output desired and polluted
switch nargin
    case 3   % without SNR paras
    y = T.'*h; %desired

    case 4
%% add noise
d = T.'*h; %desired
Pd  = std(d);%non-noise signal Power
Pw = Pd / 10^(SNR/20);% noise Power

noise = Pw*randn(L,1);
y = d+ noise;  % output observation

SNRcheck = 20*log10( std(d) / std(noise) );

end