function outputSignal = matchfilter( inputSignal, template )
% Define the input signal

% Define the template or reference signal

% Compute the length of the input signal and the template
[L, pulseNum] = size(inputSignal);
inputLength = L;
templateLength = length(template);

% Pad the template with zeros to match the length of the input signal
template = [template', zeros(1, inputLength - templateLength)]';

for i=1:pulseNum

% Apply the match filter
outputSignal(:,i) = conv(inputSignal(:,i), fliplr(template));

end