function [y,T] = simulatePulseData_toeplitz(signal,h,PulseNumber,SNR)

T = toeplitz([signal(1);zeros(length(h)-1,1)],[signal;zeros(length(h),1)] );  % toeplitz regression matrix, depends on signal
[~,L] = size(T);

d = T.'*h; 
Pd  = std(d);%non-noise signal Power
Pw = Pd / 10^(SNR/20);% noise Power

% Omega = [];
for k = 1:PulseNumber
    noise = Pw*randn(L,1);
    y = d+ noise;         
    Y(:,k) = y;   
    
    SNRcheck = 20*log10( std(d) / std(noise) )
    %Omega = [Omega,T];
end





end